10 Replies Latest reply on May 1, 2015 10:52 AM by Mike Bate

    Pharos Administrator error after UniPrint 8.3 to 9.0 Upgrade : "MMC has detected an error in a snap-in..."

    Scott Rath Wayfarer

      Hi,

       

      I would like to know whether anyone has had the same problem I am experiencing after upgrading UniPrint from version 8.3 to 9.0.  This has been done in a test environment for this very reason.  I have a virtual test server made from an image of our virtual production server, which is running Windows Server 2008 R2 Standard.

       

      Before the upgrade I am able to run Pharos Administrator as if I were on the production machine (although understandably the database is frozen in time).  However, after running the setup utility provided on the CD image (run setup.exe, then select "Install Pharos") and successfully completing the installation process (including first run followed by reboot followed by second run) with no obvious problems, Pharos Administrator then produces errors when I try to run it.

       

      The first pop up window I receive reports "MMC has detected an error in a snap-in and will unload it."  Two choices are given, "Report this error to Microsoft,  and then shut down MMC." or "Unload the snap-in and continue running."

       

      If I then choose "Unload the snap-in and continue running.", I get a message "Could not load file or assembly 'PharosSystems.Administrator, Version=9.0.0.0, Culture=neutral, PublicKeyToken=...' or one of it's dependencies.  This assembly is built by a runtime newer than the currently loaded runtime and cannot be loaded."

       

      Press "OK" and then there is another pop-up "MMC cannot initialize the snap-in."  Press "OK" again and you are taken into Pharos Administrator, but the windows are blank and do not show any configuration.

       

      After reviewing the per-requisites again I can confirm I have the following installed :

       

      .NET 3.5.1 Features (shows up in Server Manager as installed.)

      .NET 4.5.2 (shows up as installed in Programs and Features under Control Panel)

      ASP.NET

      MMC 3.0 version 6.1 Build 7601 : Service Pack 1

      IIS 7.5

       

      I have also gone through the "Role Services" and installed any Role Services required for Windows Server 2008 R2 that I didn't have installed as per the "Additional Pre-requisites for Windows Server 2008, Windows 2800 R2, Windows Server 2012 R2"  documented on page 25-26 of the Uniprint 9.0 Planning and Installation Guide".

       

      Any advice or assistance at all would be very much appreciated.  I can provide more information if needed.

       

      Regards,

       

      Scott Rath.